<html>
<!--    cibl&eacute; par: gestion-contrat.php 

		cible:  gestion-contrat.php						
 -->
 
 <!-- param&egrave;tre &eacute;mis:        -session_id         le num&eacute;ro de la session
							-code_contrat
							-code_client

	 param&egrave;tre re&ccedil;evable :  -session_id         le num&eacute;ro de la session
	 						-code_contrat
							-code_client
	 
 -->	
 <head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>Ajout d'un depot</title>
<body>

<?php 

//Fichiers contenant les fonctions utilis&eacute;es dans le script.
require("../outils/gui.php");
require("../outils/session.php");
require("../outils/mise_en_page.php");
require("../historique.php");

//V&eacute;rifier si la session est valide.
$Bsession_id = $_GET["Bsession_id"];
verifierSession($Bsession_id);

//V&eacute;rifier les droits de l'utilisateur.
$privilege_base = lirePrivilege($Bsession_id);
if ($privilege_base != 2)
	die("Vous n'avez pas les droits!");
	
  
$code_contrat = $_GET["code_contrat"];
$etape = $_GET["etape"];
$recu = $_GET["recu"];
$poste_budgetaire = $_GET["poste_budgetaire"];
$montant = $_GET["montant"];
$commentaire = $_GET["commentaire"];

//*****************************************************************************************************
// afficher les r&eacute;sultats *****************************************************************************
//*****************************************************************************************************


if ($etape ==1)//enregistrer les donn&eacute;es
{
	if (empty($montant))
	{
		print("Veuillez entrer un montant<br><br>");
		$etape = '';
	}else
	{	
		if (!empty($recu))
		{
			//v&eacute;rifie si le poste existe dans base_depot_recu
			$sql = "select compte_budget, montant
					  FROM base_depot_recu;";
			$result = mysql_query($sql) or die("Probl&egrave;me de recherche dans la table base_depot_recu<br>".$sql);
			
			$poste_existant=0;
			while ($row = mysql_fetch_row ($result))
			{
				if ($row[0] == $poste_budgetaire)
				{
					$poste_existant = 1;
					$montant_poste = $row[1];
				}	
			}
			
			//si le poste existe d&eacute;ja on fait on additionne et on update le montant
			if ($poste_existant == 1)
			{
				$montant_total = $montant_poste + $montant;
				$sql2 = "UPDATE base_depot_recu
						SET montant = '$montant_total'
					  WHERE compte_budget = '$poste_budgetaire';";
				$result2 = mysql_query($sql2) or die("Probl&egrave;me dupdate dans la table base_depot_recu<br>".$sql2."<br><br>montanttotal=".$montant_total."<br>postebudgetaire=".$poste_budgetaire."<br>");
				print("L'enregistrement &agrave; &eacute;t&eacute; un succ&egrave;s.<br><br><br>");
			}
			elseif ($poste_existant == 0)
			{
				$sql = "INSERT INTO base_depot_recu
								SET	compte_budget ='$poste_budgetaire',
									montant = '$montant',
									mis_a_jour = now();";
				$result = mysql_query($sql) or die("Probl&egrave;me de cr&eacute;ation de lenregistrement base_depot_recu<br>".$sql);									
							
			}

			$sql = "INSERT INTO base_depot
						    SET recu_le = '$recu',
							    code_contrat = '$code_contrat',
							    montant = '$montant',
								poste = '$poste_budgetaire',
								commentaire = '$commentaire',
							    mis_a_jour = now();";
			$result = mysql_query($sql) or die("Probl&egrave;me de cr&eacute;ation du paiement<br>".$sql);
	
			//cherche le montant du poste temporaire
			$sql1 = "SELECT base_poste.montant
			   			      FROM base_poste
							 WHERE base_poste.compte_budget = '0000';";
			$result1 = mysql_query($sql1) or die ("Ne peut lire dans la table base_chalet<br><br>".$sql1);
			$row1 = mysql_fetch_row ($result1);
			
			$montant = ($montant + $row1[0]);
		
	
			//insert le montant dans le poste temporaire
			$sql2 = "UPDATE base_poste
						SET base_poste.montant = '$montant'
					  WHERE base_poste.compte_budget = '0000';";
			$result2 = mysql_query($sql2) or die("Probl&egrave;me d'insertion dans le poste temporaire<br>".$sql2);
			print("L'enregistrement &agrave; &eacute;t&eacute; un succ&egrave;s.<br><br><br>");
			//*********************************************************************************************		
			historique("../historique.txt","---ajout de ".$montant."$ au poste ".$poste_budgetaire."",$Bsession_id);		
		}
		else
		{
			print("Veuillez entrer une date pour le paiement.<br><br><br>");
			$etape ='';
		}	
	}	
}



if (empty($etape))//entrer les donn&eacute;es
{	
historique("../historique.txt","MENU DEPOT",$Bsession_id);	
	print("<center><table cellspacing=0 cellpadding=0 width=600px border=0>");
	print("<tr><td bgcolor=white width=27px><img src=coin-haut-gauche.gif></td>");
	print("<td bgcolor=#636300><center><font face=Arial,Helvetica size=3 color=white><b>Ajout d'un paiement</b></td>");
	print("<td bgcolor=white width=27px><img src=coin-haut-droit.gif></td>");
	print("</td></tr></table>");

	//titre	   
	print("<table cellspacing=0 cellpadding=0 width=600px border=0>");	
	print("");


	print("<form action=\"ajout-depot.php?Bsession_id=".$Bsession_id."\" method=\"get\">");
	print("<input type=\"hidden\" name=\"Bsession_id\" value=\"".$Bsession_id."\">");
	print("<input type=\"hidden\" name=\"code_contrat\" value=\"".$code_contrat."\">");
	print("<input type=\"hidden\" name=\"etape\" value=\"1\">");	
	print("<tr><td bgcolor=#D6E4AC valign=top>");
	

	//RECU LE
	print("<b>Paiement re&ccedil;u le <BR></b>");
	print("<input type=\"text\" name=\"recu\" align=\"top\" maxlength=\"15\" size=\"15\">");
	print("</td><td bgcolor=#C8DB8D>");
	
	//POSTE BUDG&Eacute;TAIRE
	print("<b>Poste budg&eacute;taire<BR></b>");
	print("<input type=\"text\" name=\"poste_budgetaire\" align=\"top\" maxlength=\"4\" size=\"4\">");
	print("</td><td bgcolor=#D6E4AC>");
	
	//MONTANT
	print("<b>Montant<BR></b>");
	print("<input type=\"text\" name=\"montant\" align=\"top\" maxlength=\"15\" size=\"15\"></td></tr>");
	
	print("<tr><td bgcolor=#E7EFCE colspan=3><b>Commentaire:<br></b>");
	print("<input type=\"text\" name=\"commentaire\" align=\"top\" maxlength=\"255\" size=\"82\">");
	
	
	//bouton ajouter
	print("</td></tr><tr><td bgcolor=#E7EFCE colspan = 3><b><center><div align=right>");	
	print("<input type=\"submit\" value=\"Ajouter\"></form>");
	print("</td></tr>");
	
print("<center><table cellspacing=0 cellpadding=0 width=600px border=0>");
print("<tr><td bgcolor=white width=27px><img src=coin-bas-gauche.gif></td>");
print("<td bgcolor=#636300 width=746px></td>");
print("<td bgcolor=white width=27px><img src=coin-bas-droit.gif></td>");
print("</tr></table>");
	
}


	
?>

</body>
</html>	
	
	
	
	
